Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Name: nfs-utils
Version: 0.2.1
Release: 2
Group: System Environment/Daemons
Copyright: GPL
Url: http://nfs.sourceforge.net/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://nfs.sourceforge.net/pub/nfs/nfs-utils-%{version}.tar.gz
Patch: nfs-utils-%{version}.patch
Buildroot: /var/tmp/%{name}-root
Obsoletes: nfs-server
Obsoletes: knfsd
Requires: portmap >= 4.0

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.


%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make all


%install
rm -rf $RPM_BUILD_ROOT
make install install_prefix=$RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT/sbin
(cd $RPM_BUILD_ROOT && mv usr/sbin/{rpc.lockd,rpc.statd} sbin)
install -s -m755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m755 etc/redhat/nfs.init     $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -p -m755 etc/redhat/nfslock.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock


%post
/sbin/chkconfig --add nfs
/sbin/chkconfig --add nfslock

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
    /sbin/chkconfig --del nfslock
fi


%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%config /etc/rc.d/init.d/nfs
%config /etc/rc.d/init.d/nfslock
%dir /var/lib/nfs
%config(noreplace) %verify(not md5 size mtime) /var/lib/nfs/*
/sbin/*
/usr/sbin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

